> ## Documentation Index
> Fetch the complete documentation index at: https://docs.proconvey.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# List branches

> Returns a list of branches for the organization.



## OpenAPI

````yaml https://v2.proconvey.co.uk/api/v2/doc get /api/v2/branches
openapi: 3.1.0
info:
  title: ProConvey Public API
  version: '2.0'
  description: Public API for case management.
servers: []
security: []
tags:
  - name: Cases
    description: Case management operations including creation, retrieval, and data access
  - name: Clients
    description: Client records for the organisation
  - name: Webhooks
    description: >-
      Webhooks available for receiving updates of events on the ProConvey
      platform
  - name: Organisations
    description: Organization management and setup
  - name: System
    description: System and utility endpoints including branches and documentation
paths:
  /api/v2/branches:
    get:
      tags:
        - Organisations
      summary: List branches
      description: Returns a list of branches for the organization.
      parameters: []
      responses:
        '200':
          description: List of branches
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      description: Branch ID
                    organisationId:
                      type: string
                      description: Organisation ID
                    branchName:
                      type: string
                      description: Branch name
                    registrationNumber:
                      type:
                        - string
                        - 'null'
                      description: Registration number
                    sraIDNumber:
                      type:
                        - string
                        - 'null'
                      description: SRA ID number
                    websiteAddress:
                      type:
                        - string
                        - 'null'
                      description: Website address
                    telephoneNumber:
                      type:
                        - string
                        - 'null'
                      description: Telephone number
                    emailAddress:
                      type:
                        - string
                        - 'null'
                      description: Email address
                    logoUrl:
                      type:
                        - string
                        - 'null'
                      description: Logo URL
                    address:
                      oneOf:
                        - $ref: '#/components/schemas/Address'
                        - type: 'null'
                      description: Branch address
        '400':
          description: Bad request - invalid parameters
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message
components:
  schemas:
    Address:
      type: object
      description: Postal address
      properties:
        line_1:
          type: string
        line_2:
          type:
            - string
            - 'null'
        line_3:
          type:
            - string
            - 'null'
        post_town:
          type:
            - string
            - 'null'
        county:
          type:
            - string
            - 'null'
        postcode:
          type: string
        uprn:
          type:
            - string
            - 'null'
      additionalProperties: false

````